local stat = CBW_HitStat
local index = CBW_HitStatIndex
local name = CBW_HitStatName
local ResetStats = function()
	for n1 = 1, #stat
		for n2 = 1, #stat
			stat[n1][n2] = 0
		end
	end
	print("All hitstats reset.")
end

local printstat = function(skin1,skin2)
	print(skin1.."|"..skin2.." "..stat[index[skin1]][index[skin2]])
end

local PrintStats = function(skin1,skin2)
	print("==HITSTATS==")
	if skin1 != nil and index[skin1]
		if skin2 != nil and index[skin2]
			printstat(skin1,skin2)
		else
			for n = 1, #stat
				printstat(skin1,name[n])
			end
			print("----------")
		end
	else
		for n1 = 1, #stat
			for n2 = 1, #stat
				printstat(name[n1],name[n2])
			end
			print("----------")
		end	
	end
	print("#")
end


COM_AddCommand("printhitstats",function(player,skin1,skin2)
	if isdedicatedserver
		PrintStats(skin1,skin2)
	end
end,1)

COM_AddCommand("resethitstats",function(player)
	if isdedicatedserver
		ResetStats()
	end
end,1)
COM_AddCommand("hitstats",function(player)
	if isdedicatedserver
		print(
			"HitStats v1.0 by CobaltBW",
			"printhitstats <skin1> <skin2> - Print stats for specified character. Leave skin1/2 blank to output all stats.",
			"resethitstats - This will wipe clean server statistics. Server must exitlevel to save changes."
		)
	end
end,1)

